#==============================================================
# Makefile for the libGE "Cart Centering" example using 
# the GALib evolutionary library.
#==============================================================



## VARS
# --------------------------------------------------------------

# Compiler options
CC 				= gcc
CXX				= clang++
CFLAGS  	= -Wall -Wextra -Wpedantic -g 
CXXFLAGS  = -Wall -Wextra -Wpedantic -g --std=c++17
# CXX_VECT added for vectorization, May 2019
CC_VECT		= -O3 
CXX_VECT	= -O3
# CC_OPENMP added for parallelization, June 2019
CC_OPENMP	= -Xpreprocessor -fopenmp

# Object files
TARGET		= main.o
DEPEND		=	prime-gcc.o gcc_GEprime.o

# Libraries dependencies
LDFLAGS =  -lga  -lGE



## RULES 
# --------------------------------------------------------------

# Make GEGCC
GEGCC:	$(TARGET) $(DEPEND)
	$(CXX) $(CXXFLAGS) $(CXX_VECT) -o $@ $(TARGET) $(DEPEND) $(LDFLAGS) $(CC_OPENMP)
# Dependencies
prime-gcc.o: prime-gcc.cpp
	$(CXX) $(CXXFLAGS) $(CXX_VECT) -o $@ -c $<

gcc_GEprime.o: GEprime.c
	$(CC) $(CFLAGS) $(CC_VECT) -o $@ -c $<

# Make clean
.PHONY: clean
clean:
	rm -rf *~ *.o a.out individual.c cc-output.dat stats result GEGCC


